/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package org.jboss.hibernate.jmx;

import javax.management.Notification;
import javax.management.ObjectName;

/**
 * An event representing that a session factory has been destroyed on the
 * given MBean.
 *
 * @author <a href="mailto:steve@hibernate.org">Steve Ebersole</a>
 * @version $Revision: 1.1.2.1 $
 */
public class SessionFactoryDestroyedEvent extends Notification
{
   public SessionFactoryDestroyedEvent(ObjectName objectName)
   {
      super("hibernate.sessionFactory", objectName, 1);
   }
}
