/*
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 * 
 * Created on Feb 17, 2004
 */
package org.jboss.net.sample.mail.ejb;

import javax.ejb.SessionBean;


/**
 * <dl>
 * <dt><b>Title: </b><dd>Echo</dd>
 * <p>
 * <dt><b>Description: </b><dd>Simple Session bean that will echo any text sent to it's echo method.</dd>
 * </dl>
 * @author <a href="mailto:jasone@greenrivercomputing.com">Jason Essington</a>
 * @version $Revision: 1.1.6.1 $
 * 
 * @ejb.bean
 *      name="Echo"
 *      display-name="Echo Bean"
 *      type="Stateless"
 *      view-type="local"
 *      local-jndi-name="ejb/jboss/net/sample/EchoLocalHome"
 *      
 * @ejb.permission
 *       unchecked="true"
 * 
 * @jboss-net.web-service
 *      urn="Echo"
 *      allowed-transports="mail"
 */
public abstract class EchoBean implements SessionBean
{
   /**
    * @ejb.interface-method
    * @jboss-net.web-method
    */
   public String echo(String echoText)
   {
      return "echo: "+echoText;
   }

}
